#!/bin/sh

INSTALL_DIR=/usr/local
INCLUDE_DIR=/usr/local/include
MAN_DIR=/usr/local/man
DESKTOP=~/Desktop
VERSION=1.23.0	

echo "Este script remove a Aplicao Carto de Cidado"
echo ""

uid=`id -u`

if [ $uid -eq 0 ]
then 
        rm -rf $INSTALL_DIR/bin/pteid*
        echo "Removido: Executveis Carto de Cidado"

	rm -rf $INSTALL_DIR/lib/libpteid*
	rm -rf $INSTALL_DIR/bin/imageformats/libqtjp2.so
        rm -rf $INSTALL_DIR/bin/translations/pcscerrors_pt.qm
        rm -rf $INSTALL_DIR/bin/translations/pteiddlg_pt.qm
	rm -rf $INSTALL_DIR/bin/translations/pteidgui_pt.qm
	rm -rf $INSTALL_DIR/bin/translations/pteidtrayapplet_pt.qm
        rm -rf $INSTALL_DIR/bin/eidstore/certs/*.der
	rm -rf $INSTALL_DIR/bin/eidstore/

        echo "Removido: Bibliotecas Carto de Cidado"

        rm -rf $INSTALL_DIR/include/pteid/pteidlib.h
        rm -rf $INSTALL_DIR/include/pteid/pteiddefines.h
	rm -rf $INSTALL_DIR/include/pteid/
        
	echo "Removido: SDK Carto de Cidado"

        rm -rf $INSTALL_DIR/bin/images/app.png

        rm -rf $INSTALL_DIR/lib/pteid_jni/pteidlibj.jar
        rm -rf $INSTALL_DIR/lib/pteid_jni/libpteidlibj.so.$VERSION
        rm -rf $INSTALL_DIR/lib/pteid_jni/libpteidlibj.so
        rm -rf $INSTALL_DIR/lib/pteid_jni/Test.java
	rm -rf $INSTALL_DIR/lib/pteid_jni/

        echo "Removido: Interface JNI"

        rm -rf $INSTALL_DIR/lib/pteidpp/libpteidpp1_gempc.so
        rm -rf $INSTALL_DIR/lib/pteidpp/libpteidpp1_gempc.so.$VERSION
	rm -rf $INSTALL_DIR/lib/pteidpp/

        echo "Removido: Suporte GemPC Pinpad"
	
	rm -rf $DESKTOP/Cartao\ de\ Cidadao.desktop
	echo "Removido: Atalho Desktop"
	
	echo ""

	# restoring /etc/ls.so.conf
	sed -e 's/\/usr\/local\/lib//g' -e '/^$/d' /etc/ld.so.conf > ./tmp ; mv tmp /etc/ld.so.conf
else
	echo " necessrio ter permisses de super-utilizador (root) para remover a Aplicao Carto de Cidado  ."
	echo "Por favor consulte o administrador de sistema."
	echo ""
fi
